%global namedreltag .CR1
%global namedversion %{version}%{?namedreltag}

Name:             hibernate-search
Version:          4.4.0
Release:          0.2%{namedreltag}%{dist}
Summary:          Hibernate Search
License:          LGPLv2
Url:              http://search.hibernate.org
Source0:          https://github.com/hibernate/hibernate-search/archive/%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    avro
BuildRequires:    jgroups
BuildRequires:    slf4j
BuildRequires:    jboss-transaction-1.1-api
BuildRequires:    lucene
BuildRequires:    lucene-contrib
BuildRequires:    h2
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    maven-processor-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    byteman
BuildRequires:    hibernate-commons-annotations
BuildRequires:    geronimo-jta
BuildRequires:    junit
BuildRequires:    tika
BuildRequires:    solr3

# Required after rebuild
#BuildRequires:    infinispan >= 5.3.0-3

BuildArch:        noarch

%description
Full text search engines like Apache Lucene are very powerful technologies to
add efficient free text search capabilities to applications. However, Lucene
suffers several mismatches when dealing with object domain models. Amongst
other things indexes have to be kept up to date and mismatches between index
structure and domain model as well as query mismatches have to be avoided.

Hibernate Search addresses these shortcomings - it indexes your domain model
with the help of a few annotations, takes care of database/index
synchronization and brings back regular managed objects from free text queries.

Hibernate Search is using Apache Lucene under the cover.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n hibernate-search-%{namedversion}

%pom_disable_module integrationtest/as
%pom_disable_module integrationtest/spring
%pom_disable_module testing
%pom_disable_module modules
%pom_disable_module orm
%pom_disable_module legacy

%pom_remove_plugin ":maven-enforcer-plugin"

%pom_remove_dep "org.apache.tika:tika-parsers" engine/pom.xml
%pom_add_dep "org.apache.tika:tika-core" engine/pom.xml

# Use compat version of solr (version 3)
%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId = 'solr-analysis-extras']/pom:version" 3 pom.xml

%pom_xpath_remove "pom:dependencies/pom:dependency[pom:scope = 'test']" engine/pom.xml

# Will be added after Infinispan rebuild
%pom_disable_module infinispan

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc lgpl.txt README.md

%files javadoc -f .mfiles-javadoc
%doc lgpl.txt

%changelog
* Thu Oct 17 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.2.CR1
- Adjusted to use solr3 compat package

* Wed Oct 09 2013 Marek Goldmann <mgoldman@redhat.com> - 4.4.0-0.1.CR1
- Initial import

